
Name:		cdm
Version:	0.5.3
Release:	21%{?dist}
Summary:	Very minimalistic login manager

Group:		User Interface/X
License:	GPLv2+
URL:		https://github.com/ghost1227/cdm

# git clone https://github.com/ghost1227/cdm.git
# cd cdm && git archive --format=tar --prefix="cdm-0.5.3/" 1df217f0a53df4087ebefa54425298bc752a3ba5 | gzip > cdm-0.5.3.tar.gz
Source0:	%{name}-%{version}.tar.gz

Patch0:		cdm-fedora-default-config.patch
Patch1:		cdm-0.5.3-nohup-removal-and-no-background-startx.patch

BuildArch:	noarch

Requires:	dialog xorg-x11-xinit xorg-x11-utils

%description
CDM is a minimalistic, yet full-featured replacement for login-managers
like slim, kdm, gdm and qingy that provides a fast, dialog-based login
system without the overhead of the X Window System. Written in pure bash.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/

install -Dm755 src/cdm $RPM_BUILD_ROOT/%{_bindir}/cdm
install -Dm644 src/zzz-cdm-profile.sh $RPM_BUILD_ROOT/%{_sysconfdir}/profile.d/zzz-cdm-profile.sh
install -Dm644 src/cdmrc $RPM_BUILD_ROOT/%{_sysconfdir}/cdmrc
install -m755 src/xinitrc $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/
cp -rf src/themes/* $RPM_BUILD_ROOT/%{_datarootdir}/%{name}/

%files
%doc COPYING CHANGELOG src/xinitrc.skel
%{_bindir}/cdm
%{_sysconfdir}/profile.d/zzz-cdm-profile.sh
%{_datarootdir}/%{name}/

%config(noreplace) %{_sysconfdir}/cdmrc


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Apr 13 2015 Jaromir Capik <jcapik@redhat.com> - 0.5.3-15
- Removing retired pm-utils, provided by systemd now (#1208311)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 31 2013 Jaromir Capik <jcapik@redhat.com> - 0.5.3-13
- Adding IceWM, dwm, jwm and wmx

* Thu Oct 31 2013 Jaromir Capik <jcapik@redhat.com> - 0.5.3-12
- Dropping "Display Manager Rework" as it was completely wrong
- Avoiding immediate startx termination by running it in foreground
- Adding Xfce4 and Fluxbox to the default config file

* Thu Oct 31 2013 Jaromir Capik <jcapik@redhat.com> - 0.5.3-11
- Fixing FTBFS (#992045)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Aug 09 2012 Jaromir Capik <jcapik@redhat.com> - 0.5.3-8
- Minor spec file changes according to the latest guidelines
- Fixing dead URL

* Tue Aug 07 2012 Lennart Poettering <lpoetter@redhat.com> - 0.5.3-7
- Display Manager Rework
- https://fedoraproject.org/wiki/Features/DisplayManagerRework
- https://bugzilla.redhat.com/show_bug.cgi?id=846151

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 22 2011 Mikhail Kulemin <mihkulelin@gmail.com> - 0.5.3-4
- Add xinitrc file
- Add requires 
- Add patch to config for Fedora
- Correct license issues

* Tue Feb 08 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0.5.3-3
- Fix doc files installation
- Minor fixes in spec 

* Mon Feb 07 2011 Mikhail Kulemin <mihkulemin@gmail.com> - 0.5.3-2
- First build
- Fix errors in spec
